Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #824

Fails to properly install from source on CentOS 7.5
August 29, 2018 22:15 - Yao Mitachi
Target version:
Description

| didn't notice any errors during the configure/install process, but when | went to try to install audacious-plugins: "Cannot find
Audacious 3.10". Audacious itself fails to launch with this error:

audacious: error while loading shared libraries: libaudcore.so.5: cannot open shared object

I've attached the terminal output from my attempt to configure and install audacious and audacious-plugins.

History

#1 - August 30, 2018 03:29 - John Lindgren

The first issue you will need to solve is this: "checking for AUDACIOUS... no". The log claims to have installed audacious.pc, but pkg-config on your
system isn't able to find it. It's probably in /usr/local/lib/pkgconfig -- if so, try setting PKG_CONFIG_PATH=/usr/local/lib/pkgconfig, then reconfigure
and rebuild audacious-plugins.

Note that you need to configure both audacious and audacious-plugins with --enable-qt if you want to use the Qt interface.

The second issue ("libaudcore.so0.5: cannot open shared object file") is probably also path-related. The log claims to have installed libaudcore.so.

Try to find that file, and determine if it is in the system's shared library path. It's probably in /usr/local/lib or some similar path -- if so, try setting
LD_LIBRARY_PATH=/ust/local/lib before you run audacious.

#2 - August 30, 2018 20:50 - Yao Mitachi
That worked, thanks! | don't have any FFMPEG or AAC libraries, but | think | can do without those.

#3 - August 30, 2018 22:12 - Yao Mitachi
- File Screenshot from 2018-08-30 18-11-17.png added

Uh, huh... I don't think that's supposed to look like that.

#4 - September 05, 2018 03:36 - John Lindgren

- Status changed from New to Closed

Yao Mitachi wrote:

That worked, thanks!

Okay, good. Closing.
Files

audacious-install.txt 15.4 KB  August 29, 2018 Yao Mitachi

audacious-plugins-install.txt 3.12KB  August 29, 2018 Yao Mitachi

Screenshot from 2018-08-30 18-11-17.png 202 KB  August 30, 2018 Yao Mitachi
